Page MenuHomePhabricator

[AArch64]: Add support for Exynos-M1
ClosedPublic

Authored by MinSeongKIM on Dec 19 2015, 12:07 AM.

Diff Detail

Repository
rL LLVM

Event Timeline

MinSeongKIM retitled this revision from to TEMP.
MinSeongKIM updated this object.
MinSeongKIM changed the visibility from "Public (No Login Required)" to "MinSeongKIM (MinSeong Kim)".Dec 19 2015, 12:15 AM
MinSeongKIM changed the edit policy from "All Users" to "MinSeongKIM (MinSeong Kim)".
MinSeongKIM retitled this revision from TEMP to [AArch64]: Add support for Exynos-M1.
MinSeongKIM updated this object.
MinSeongKIM changed the visibility from "MinSeongKIM (MinSeong Kim)" to "Public (No Login Required)".
MinSeongKIM changed the edit policy from "MinSeongKIM (MinSeong Kim)" to "All Users".
MinSeongKIM added a subscriber: llvm-commits.

Code rewritten for exynos-m1

christof added inline comments.Dec 21 2015, 4:00 AM
lib/Target/ARM/ARM.td
255 ↗(On Diff #43353)

ProcM1

I think that might confuse people thinking it is a ARMv8-M core rather than an ARMv8-A. Might be better to change it to ProcExynosM1 or something similar.

Reflects Christof's comment.

christof edited edge metadata.Dec 21 2015, 6:45 AM

LGTM. But since this is my first review, I would like somebody else to sign off on this as well.

By the way: when putting a review in Phabricator, please use please use "-U999" so that the context around the change is available. Otherwise it might requires the reviewers to look through there local copies of the sources to understand the changes.

MinSeongKIM edited edge metadata.
MinSeongKIM marked an inline comment as done.

Reflects christof's comment. Thanks~

christof accepted this revision.EditedJan 4 2016, 5:36 AM
christof edited edge metadata.

It might be my first review, but let me just sign off on this one as it LGTM. The more senior guys are either in the new-year holiday mode or just too busy after the holidays. Sorry for the delay.

This revision is now accepted and ready to land.Jan 4 2016, 5:36 AM

No reservations from my side, maybe Tim or James have a comment? Though this could also be post-commit. LGTM, too.

I wish the AArch64 back-end would move to TargetParser, but that's another discussion entirely.

asl added a subscriber: asl.Jan 4 2016, 6:08 AM

LGRM from me as well.

This revision was automatically updated to reflect the committed changes.
evandro added a subscriber: evandro.Jan 5 2016, 9:32 AM